AbstractGrailsApplication (Grails 4.0.0)
Date: 2019-07-11

Package: org.grails.core

## [Java] Class AbstractGrailsApplication

- org.grails.core.AbstractGrailsApplication

- All Implemented Interfaces and Traits:
    GrailsApplication, org.springframework.context.ApplicationContextAware, org.springframework.beans.factory.BeanClassLoaderAware, org.springframework.context.event.SmartApplicationListener

      public abstract class AbstractGrailsApplication
      extends groovy.lang.GroovyObjectSupport

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `protected Metadata` | `applicationMeta` |
    `protected java.lang.ClassLoader` | `classLoader` |
    `protected Config` | `config` |
    `protected boolean` | `contextInitialized` |
    `protected org.springframework.context.ApplicationContext` | `parentContext` |

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `Config` | `config`
    `Config` | `config`
    `org.springframework.context.ApplicationContext` | `mainContext`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `configChanged()`
    `` | `java.lang.Class` | `getClassForName(java.lang.String className)`
    `` | `java.lang.ClassLoader` | `getClassLoader()`
    `` | `Config` | `getConfig()`
    `` | `org.springframework.context.ApplicationContext` | `getMainContext()`
    `` | `Metadata` | `getMetadata()`
    `` | `int` | `getOrder()`
    `` | `org.springframework.context.ApplicationContext` | `getParentContext()`
    `` | `boolean` | `isWarDeployed()`
    `` | `void` | `onApplicationEvent(org.springframework.context.ApplicationEvent event)`
    `` | `void` | `setApplicationContext(org.springframework.context.ApplicationContext applicationContext)`
    `` | `void` | `setBeanClassLoader(java.lang.ClassLoader classLoader)`
    `` | `void` | `setConfig(Config config)`
    `` | `void` | `setConfig(groovy.util.ConfigObject config)`
    `` | `void` | `setMainContext(org.springframework.context.ApplicationContext context)`
    `` | `boolean` | `supportsEventType(java.lang.Class<? extends org.springframework.context.ApplicationEvent> eventType)`
    `` | `boolean` | `supportsSourceType(java.lang.Class<?> sourceType)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class groovy.lang.GroovyObjectSupport` | `groovy.lang.GroovyObjectSupport#getMetaClass(), groovy.lang.GroovyObjectSupport#setMetaClass(groovy.lang.MetaClass), groovy.lang.GroovyObjectSupport#invokeMethod(java.lang.String, java.lang.Object), groovy.lang.GroovyObjectSupport#setProperty(java.lang.String, java.lang.Object), groovy.lang.GroovyObjectSupport#getProperty(java.lang.String), groovy.lang.GroovyObjectSupport#wait(long, int), groovy.lang.GroovyObjectSupport#wait(long), groovy.lang.GroovyObjectSupport#wait(), groovy.lang.GroovyObjectSupport#equals(java.lang.Object), groovy.lang.GroovyObjectSupport#toString(), groovy.lang.GroovyObjectSupport#hashCode(), groovy.lang.GroovyObjectSupport#getClass(), groovy.lang.GroovyObjectSupport#notify(), groovy.lang.GroovyObjectSupport#notifyAll()`
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### protected Metadata applicationMeta

    - #### protected java.lang.ClassLoader classLoader

    - #### protected Config config

    - #### protected boolean contextInitialized

    - #### @java.lang.SuppressWarnings("rawtypes") protected org.springframework.context.ApplicationContext parentContext

  - ### Property Detail

    - #### Config config

    - #### org.springframework.context.ApplicationContext mainContext

  - ### Method Detail

    - #### @java.lang.Override public void configChanged()

    - #### @java.lang.SuppressWarnings("rawtypes") @java.lang.Override public java.lang.Class getClassForName(java.lang.String className)

    - #### @java.lang.Override public java.lang.ClassLoader getClassLoader()

    - #### public Config getConfig()

    - #### public org.springframework.context.ApplicationContext getMainContext()

    - #### @java.lang.Override public Metadata getMetadata()

    - #### @java.lang.Override public int getOrder()

    - #### public org.springframework.context.ApplicationContext getParentContext()

    - #### @java.lang.Override public boolean isWarDeployed()

    - #### @java.lang.Override public void onApplicationEvent(org.springframework.context.ApplicationEvent event)

    - #### @java.lang.Override public void setApplicationContext(org.springframework.context.ApplicationContext applicationContext)

    - #### @java.lang.Override public void setBeanClassLoader(java.lang.ClassLoader classLoader)

    - #### public void setConfig(Config config)

    - #### public void setConfig(groovy.util.ConfigObject config)

    - #### public void setMainContext(org.springframework.context.ApplicationContext context)

    - #### @java.lang.Override public boolean supportsEventType(java.lang.Class<? extends org.springframework.context.ApplicationEvent> eventType)

    - #### @java.lang.Override public boolean supportsSourceType(java.lang.Class<?> sourceType)